CREATE TABLE cz_dcn_model_events (
    MODEL_ID              NUMBER(18, 0),
    MODEL_VERSION         NUMBER(18, 0),
    WORKSPACE_ID          NUMBER(18, 0),
    MODEL_CHANGED_FLAG    NUMBER(18, 0)    NOT NULL,
    RULES_CHANGED_FLAG    NUMBER(18, 0)    NOT NULL,
    DELETED_FLAG          NUMBER(18, 0)    NOT NULL,
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128),
    MODEL_ID              NUMBER(18, 0),
    MODEL_VERSION         NUMBER(18, 0),
    WORKSPACE_ID          NUMBER(18, 0),
    MODEL_CHANGED_FLAG    NUMBER(18, 0)    NOT NULL,
    RULES_CHANGED_FLAG    NUMBER(18, 0)    NOT NULL,
    DELETED_FLAG          NUMBER(18, 0)    NOT NULL,
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128),
    CONSTRAINT pk_cz_dcn_model_events PRIMARY KEY (MODEL_ID, MODEL_VERSION, WORKSPACE_ID, MODEL_ID, MODEL_VERSION, WORKSPACE_ID)
);
